<?php

namespace Config;

// Create a new instance of our RouteCollection class.
$routes = Services::routes();

// Load the system's routing file first, so that the app and ENVIRONMENT
// can override as needed.
if (is_file(SYSTEMPATH . 'Config/Routes.php')) {
    require SYSTEMPATH . 'Config/Routes.php';
}

/*
 * --------------------------------------------------------------------
 * Router Setup
 * --------------------------------------------------------------------
 */
$routes->setDefaultNamespace('App\Controllers');
$routes->setDefaultController('Home');
$routes->setDefaultMethod('index');
$routes->setTranslateURIDashes(false);
$routes->set404Override();
// The Auto Routing (Legacy) is very dangerous. It is easy to create vulnerable apps
// where controller filters or CSRF protection are bypassed.
// If you don't want to define all routes, please use the Auto Routing (Improved).
// Set `$autoRoutesImproved` to true in `app/Config/Feature.php` and set the following to true.
// $routes->setAutoRoute(false);

/*
 * --------------------------------------------------------------------
 * Route Definitions
 * --------------------------------------------------------------------
 */

// We get a performance increase by specifying the default
// route since we don't have to scan directories.
//www-api/app/Config/RoutesV1.php

$routes->post('/en/promo/api/v1/start',           'Promo::promoStart');
$routes->post('/en/promo/api/v1/tasks',           'Promo::promoTask');

$routes->post('/en/promoadmin/api/v1/auth',           'Promo::promoAuth');
$routes->post('/en/promoadmin/api/v1/getlist',        'PromoAdmin::promoList');
$routes->post('/en/promoadmin/api/v1/list',           'PromoAdmin::promoAddRef');
$routes->post('/en/promoadmin/api/v1/getmember',      'PromoAdmin::promoGetMember');
$routes->post('/en/promoadmin/api/v1/assigntask',     'PromoAdmin::promoAssignTask');
$routes->post('/en/promoadmin/api/v1/getactions',     'PromoAdmin::promoActionList');








$routes->get('/en/flow/api/v1/appemails',       'AirFlow::flowAppEmails');
$routes->get('/en/flow/api/v1/new-account',     'AirFlow::flowNewAccount');
$routes->get('/en/flow/api/v1/offer-pending',   'AirFlow::flowOfferPending');
$routes->get('/en/flow/api/v1/due-reminder',    'AirFlow::flowDueReminder');
$routes->get('/en/flow/api/v1/approve-reminder','AirFlow::flowApproveReminder');
$routes->get('/en/flow/api/v1/signup-report',   'AirFlow::flowSignupReport');
$routes->get('/en/flow/api/v1/refresh-blog',    'AirFlow::flowRefreshBlog');
$routes->get('/en/flow/api/v1/notifications',   'AirFlow::flowSendNotifications');
$routes->get('/en/flow/api/v1/interestcount',   'AirFlow::flowInterestcount');
$routes->get('/en/flow/api/v1/processtransfer',      'AirFlow::flowProcessTransfer');
$routes->get('/en/flow/api/v1/scheduletransfer',     'AirFlow::flowScheduleTransfer');
$routes->get('/en/flow/api/v1/testnotifications',    'AirFlow::flowTestNotifications');
$routes->get('/en/flow/api/v1/automarket01',    'AirFlow::flowAutoMarket01');
$routes->get('/en/flow/api/v1/offersmissed',    'AirFlow::flowOfferMissed');
$routes->get('/en/flow/api/v1/holidaybroadcast',    'AirFlow::flowHolidayBroadCast');
$routes->get('/en/flow/api/v1/refreshresoucres',    'AirFlow::flowRefreshResources');
$routes->get('/en/flow/api/v1/stripe-card',        'AirFlow::flowStripeCard');
$routes->get('/en/flow/api/v1/promoprocess',        'AirFlow::flowPromoProcess');

//$routes->group('/en/wrench/api/v1/', static function ($routes) {
//    $routes->get('/stripe-card',          'AirFlow::flowStripeCard');
//});


include "RoutesV1.php";
/*
 * --------------------------------------------------------------------
 * Additional Routing
 * --------------------------------------------------------------------
 *
 * There will often be times that you need additional routing and you
 * need it to be able to override any defaults in this file. Environment
 * based routes is one such time. require() additional route files here
 * to make that happen.
 *
 * You will have access to the $routes object within that file without
 * needing to reload it.
 */
if (is_file(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {
    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';
}
